<?php

require_once ("../../config/Cado.php");

require_once("../cliente/cCliente.php");

$oCliente = new cCliente();

require_once("../formatos/formato.php");





require ("../../libreriasphp/consultaruc/curl.php");

require ("../../libreriasphp/consultaruc/sunat.php");

$sunat = new Sunat();



require_once dirname(__FILE__) . '/../../libreriasphp/phpexcel/Classes/PHPExcel.php';



move_uploaded_file($_FILES['file_archivo']['tmp_name'],$_FILES['file_archivo']['name']);



$archivo = $_FILES['file_archivo']['name'];



$inputFileType = PHPExcel_IOFactory::identify($archivo);

$objReader = PHPExcel_IOFactory::createReader($inputFileType);

$objPHPExcel = $objReader->load($archivo);

$sheet = $objPHPExcel->getSheet(0); 

$highestRow = $sheet->getHighestRow(); 

$highestColumn = $sheet->getHighestColumn();



for ($row = 1; $row <= $highestRow; $row++){

	

	$cliruc = $sheet->getCell("A".$row)->getValue();	

		

	$cst1 =  $oCliente->verifica_cliente_doc($cliruc,0);

	$rst1= mysqli_num_rows($cst1);	

	

	if($rst1>0)

	{

		$dt = mysqli_fetch_array($cst1);

		$cli_id=$dt['tb_cliente_id'];

		mysqli_free_result($cst1);	

	}else{

		

		

		

		$vtipod = '6';

		if(strpbrk($vtipod, '016')){

		$cliruc = $sunat->autoruc($cliruc);

		}

		$data['dat'] = $sunat->BuscaDatosSunat($cliruc);

	

		$telefonos =  $data['dat']['Telefonos'];	

		$razonsocial =  $data['dat']['RazonSocial'];

		$direccion =  $data['dat']['Direccion'];

		$ruc = $cliruc;

		

		

		

		

		

		if($data['dat']['Contacto']!='undefined'){

		$contacto =  $data['dat']['Contacto'];	

		}else{

		$contacto =  $data['dat']['RazonSocial'];

		}

		

		$telefonos = str_ireplace('/ \/ /g','/',$telefonos);

		$telefonos = str_ireplace('/ ','/',$telefonos);

		$telefonos = str_ireplace('/\//g','/',$telefonos);

		

		$clinom = limpia_espacios($razonsocial);

		$clidir	= $direccion;

		$clicont = limpia_espacios($contacto);

		

		$clinom =  str_ireplace('""'," ",$clinom);

		$clinom =  str_ireplace("'"," ",$clinom);

		$clidir =  str_ireplace("'"," ",$clidir);

		$clicont =  str_ireplace("'"," ",$clicont);



		

		if($clidir!=''){

			

			

				$oCliente->insertar(

				'2', 

				limpia_espacios($clinom), 

				$ruc, 

				limpia_espacios($clicont), 

				$telefonos, 

				''

				);

			

			

			$dts=$oCliente->ultimoInsert();

				$dt = mysqli_fetch_array($dts);

				$cli_id=$dt['last_insert_id()'];

				mysqli_free_result($dts);

				

			$oCliente->insertardireccionsunat('1',$clidir,$cli_id);	

			

			

		}

	

	}

	

	

	

} 



unlink($archivo);

/* 

	$data['cat_msj']='Archivo procesado correctamente.';			

	echo json_encode($data);	 */		

?>